#include <bits/stdc++.h>

using namespace std;

struct frilenser{
    double a;
    double p;
};

bool cmp(frilenser a,frilenser b){
    return a.p<b.p;
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);
    long long n,i;
    double s=0,m=0,p=0;
    cin>>n;
    frilenser f[n];
    for(i=0;i<n;i++){
        cin>>f[i].a>>f[i].p;
        s=s+f[i].a;
    }
    sort(f,f+n,cmp);
    for(i=0;i<n;i++){
        if(p<f[i].p){
            p=f[i].p;
            m=max(m,s*p/100);
        }
        s=s-f[i].a;
    }
    cout<<fixed<<setprecision(4)<<m;
    return 0;
}